adjust style, match test to other tests

This commit is contained in:
Evan Hunt
2019-02-07 16:42:12 -08:00
parent a159675f44
commit 9949163936
5 changed files with 18 additions and 17 deletions

View File

@@ -32,9 +32,9 @@ ret=0
for dir in [0-9][0-9]-*; do
ret=0
echo_i "$dir"
args= warn= error= ok= retcode= match=
args= warn= error= ok= retcode= match= zones=
. $dir/expect
$COVERAGE $args -K $dir example.com > coverage.$n 2>&1
$COVERAGE $args -K $dir ${zones:-example.com} > coverage.$n 2>&1
# check that return code matches expectations
found=$?
@@ -81,17 +81,5 @@ for dir in [0-9][0-9]-*; do
status=`expr $status + $ret`
done
dir=dotted-dotless
[ -d $dir ] || mkdir $dir
echo_i "$dir"
zsk1=`$KEYGEN -q -K $dir -a rsasha256 one.example`
zsk2=`$KEYGEN -q -K $dir -a rsasha256 two.example`
$COVERAGE -K $dir one.example. two.example > coverage.$n 2>&1
grep one.example coverage.$n >/dev/null 2>&1 || ret=1
grep two.example coverage.$n >/dev/null 2>&1 || ret=1
n=`expr $n + 1`
if [ $ret != 0 ]; then echo_i "failed"; fi
status=`expr $status + $ret`
echo_i "exit status: $status"
[ $status -eq 0 ] || exit 1